From 1cde514d947fa54e8ab60342d6a63c438ba9edf7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 11 2020 03:48:20 +0000
Subject: [PATCH 1691/2232] Clean up unused mut from Unique-/SharedPtr expansion


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 9e4bd6b..f50328a 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -1056,7 +1056,7 @@ fn expand_unique_ptr(ident: &RustName, types: &Types, explicit_impl: Option<&Imp
         || types.aliases.contains_key(&ident.rust);
     let new_method = if can_construct_from_value {
         Some(quote! {
-            fn __new(mut value: Self) -> *mut ::std::ffi::c_void {
+            fn __new(value: Self) -> *mut ::std::ffi::c_void {
                 extern "C" {
                     #[link_name = #link_uninit]
                     fn __uninit(this: *mut *mut ::std::ffi::c_void) -> *mut ::std::ffi::c_void;
@@ -1136,7 +1136,7 @@ fn expand_shared_ptr(ident: &RustName, types: &Types, explicit_impl: Option<&Imp
         || types.aliases.contains_key(&ident.rust);
     let new_method = if can_construct_from_value {
         Some(quote! {
-            unsafe fn __new(mut value: Self, new: *mut ::std::ffi::c_void) {
+            unsafe fn __new(value: Self, new: *mut ::std::ffi::c_void) {
                 extern "C" {
                     #[link_name = #link_uninit]
                     fn __uninit(new: *mut ::std::ffi::c_void) -> *mut ::std::ffi::c_void;

